Bug 228587 - CVE-2007-0451 Spamassassin DoS
CVE-2007-0451 Spamassassin DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: spamassassin (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
reported=20070213,source=asf,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-13 16:31 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0075
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 10:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-02-13 16:31:16 EST
+++ This bug was initially created as a clone of Bug #228586 +++

There is a DoS in apparantly all versions of spamassassin prior to
3.1.8 (which is not released yet).  A carefully crafted message can 
cause SpamAssassin to consume significant resources which could lead
to a DoS if an attacker sends many such messages:

http://issues.apache.org/SpamAssassin/show_bug.cgi?id=5318

Patch here:
http://svn.apache.org/viewvc?view=rev&revision=507102
Comment 8 Red Hat Bugzilla 2007-03-14 10:54:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0075.html

Note You need to log in before you can comment on or make changes to this bug.